/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.glassfish.cditest.security.api;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import javax.interceptor.InterceptorBinding;

/**
 * EJBs annotated with Secure are intercepted by SecurityInterceptor, ensuring
 * that the caller has the permissions to call an EJB method. May only be
 * applied to EJBs.
 * 
 * @author chaoslayer
 */
@Inherited
@Target({ TYPE, METHOD })
@Retention(RUNTIME)
@InterceptorBinding
public @interface Secure
{

}
